summaryrefslogtreecommitdiff
path: root/source3/script/tests/test_wbinfo_sids2xids.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source3/script/tests/test_wbinfo_sids2xids.sh')
-rwxr-xr-xsource3/script/tests/test_wbinfo_sids2xids.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/source3/script/tests/test_wbinfo_sids2xids.sh b/source3/script/tests/test_wbinfo_sids2xids.sh
new file mode 100755
index 0000000000..5bb33ee065
--- /dev/null
+++ b/source3/script/tests/test_wbinfo_sids2xids.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+WBINFO="$VALGRIND ${NET:-$BINDIR/wbinfo} $CONFIGURATION"
+TEST_INT=`dirname $0`/test_wbinfo_sids2xids_int.py
+
+incdir=`dirname $0`/../../../testprogs/blackbox
+. $incdir/subunit.sh
+
+testit "sids2xids" ${TEST_INT} ${WBINFO} || failed=`expr $failed + 1`
+
+testok $0 $failed